<?php

namespace STM\Competition\Season\Table;

use \GetterOfTestingInstances;
use \Exception;
use STM\Match\MatchSelection;
use STM\Match\Table\TablePoints;

/**
 * Test class for SeasonResultTable.
 * Generated by PHPUnit on 2011-10-26 at 20:05:37.
 * @group competition_season
 */
class SeasonResultTableTest extends \PHPUnit_Framework_TestCase {

    private $bad_values;
    private $competition;
    private $season;
    
    
    protected function setUp() {
        $this->bad_values = array('dsadas', null, false, array(), new Exception(), 55, 0);
        $this->competition = GetterOfTestingInstances::get_competition();
        $this->season = GetterOfTestingInstances::get_season();
    }

    protected function tearDown() {}

    public function testGet_table() {
        // always false, because season must be set (season is set only in loadTableFromDb)
        parent::assertFalse(SeasonResultTable::getTable(getMatchSelection(
                MatchSelection::ALL_MATCHES), new TablePoints(), STM_MATCH_PERIODS)
        );
    }

    public function testLoad_table_from_database() {
        if ($this->competition) {
            parent::assertFalse(SeasonResultTable::loadTableFromDb($this->competition));
        }
        if ($this->season) {
            parent::assertInstanceOf('\STM\Competition\Season\Table\SeasonResultTable', SeasonResultTable::loadTableFromDb($this->season));
        }
    }

}

?>
